org.jboss.resteasy.skeleton.key.idm.model.data

## Class RequiredCredential

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.idm.model.data.RequiredCredential

- All Implemented Interfaces:
    Serializable

      public class RequiredCredential
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected boolean` | `input`
    `protected boolean` | `secret`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredCredential()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getType()`
    `boolean` | `isInput()`
    `boolean` | `isSecret()`
    `void` | `setId(String id)`
    `void` | `setInput(boolean input)`
    `void` | `setSecret(boolean secret)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### type

          protected String type

    - #### input

          protected boolean input

    - #### secret

          protected boolean secret

  - ### Constructor Detail

    - #### RequiredCredential

          public RequiredCredential()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### isInput

          public boolean isInput()

    - #### setInput

          public void setInput(boolean input)

    - #### isSecret

          public boolean isSecret()

    - #### setSecret

          public void setSecret(boolean secret)

Copyright © 2014. All Rights Reserved.